> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/ja/exoclick-paburikku-api/api-manual-interface.md).

# APIインターフェース

その [APIインターフェース](https://api.exoclick.com/v2/docs/) 利用可能なリクエスト、それらに関連するパラメータ、および期待されるレスポンスを詳しく説明するために設計された ExoClick API の表現です。Admin Panel から表示できます。

すべてのAPIリクエストは、関連するグループの下に一覧表示されます。

制限付きのAPIリクエストにアクセスするには、セッショントークンが設定されている必要があります。トークンを設定するには、必要なユーザー名とパスワード、またはAPIトークンを持つ有効なアカウントが必要です。 **ログイン** 画面右上のボタンをクリックし、ユーザー名とパスワードを入力するか、APIトークンを指定してください。 **ログイン** ボタンをクリックすると、API にログインリクエストが送信され、有効なセッショントークンが取得されます。このトークンは、そのセッションで実行したいすべてのAPIリクエストを検証するために使用されます。

API にリクエストを送信するには、グループをクリックします。グループが展開され、利用可能なリクエストが一覧表示されます。目的のリクエストをもう一度クリックします。すると、リクエストの詳細を示すパネルが展開されます。

* その **レスポンス本文**、ある場合は、レスポンスとともに最初に表示されます **Content-Type**.
* その **リクエストパラメータ**、必須および/または任意のものは、リクエストとともに次に詳細が示されます **Content-Type**、必要な場合。
* 期待される **レスポンスメッセージ** がその後一覧表示されます。
* リクエストを送信するには、必須パラメータを入力してください。リクエストボディが詳述されている場合は、 **モデル** ウィンドウで本文をクリックすると、パラメータウィンドウに本文があらかじめ入力されます。
* 必要なパラメータがすべて設定されたら、 **試してみる** ボタンをクリックするとリクエストが実行されます。
* ボタンの下に4つのパネルが表示されます：
  * 最初のパネルには完全な **リクエストURL**.
  * 2つ目のパネルには **レスポンス本文**.
  * 3つ目のパネルには **レスポンスコード**.
  * 4つ目のパネルには **レスポンスヘッダー**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/ja/exoclick-paburikku-api/api-manual-interface.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
